from pathlib import Path

from imagetools.lib.constants import SEPARATOR
from imagetools.lib.exif import set_date


def apply_configuration(
    configuration: Path,
) -> None:
    """
    Applies a given configuration to the file system.

    :param configuration: Path to the configuration file to apply.
    """

    with open(configuration, "r") as f:
        for line in f.readlines():
            path, action = line.split(SEPARATOR)

            file = Path(path)

            if not file.exists():
                continue

            if action == "DELETE":
                file.unlink()
                continue

            set_date(file, action.strip())
